Bug 475896 - Openchrome does not pick up external CRT resolution
Openchrome does not pick up external CRT resolution
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 18:06 EST by Milan Kerslager
Modified: 2014-06-09 12:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:15:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log from IBM P260 that can do 1280x1024@75 (no xorg.conf) (55.98 KB, text/plain)
2008-12-10 18:06 EST, Milan Kerslager
no flags Details
patch which should solve problems with cursor. (1.79 KB, patch)
2009-06-02 05:47 EDT, Bartosz
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 369333 None None None Never

  None (edit)
Description Milan Kerslager 2008-12-10 18:06:38 EST
Created attachment 326555 [details]
Xorg.log from IBM P260 that can do 1280x1024@75 (no xorg.conf)

It seems that openchrome stuck on LCD's resolution even I have external CRT connected and LCD on my notebook is off (by driver).

I had no luck with xorg.conf fiddling. The situation is the same even no xorg.conf in place.
Comment 1 Milan Kerslager 2008-12-10 18:12:32 EST
I have: VIA Technologies, Inc. VT8378 [S3 UniChrome] Integrated Video (rev 01)

01:00.0 0300: 1106:7205 (rev 01) (prog-if 00 [VGA controller])
	Subsystem: 1025:0033
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min)
	Interrupt: pin A routed to IRQ 4
	Region 0: Memory at f0000000 (32-bit, prefetchable) [size=64M]
	Region 1: Memory at d1000000 (32-bit, non-prefetchable) [size=16M]
	Capabilities: <access denied>

The notebook is Acer Aspire 1350. I've got 1024x768@60.

I was able to run higher resolution with older drivers.
Comment 2 Milan Kerslager 2008-12-10 18:28:40 EST
xorg-x11-drv-openchrome-0.2.903-1.fc10.i386 (no updates yet in repo).
Comment 3 Milan Kerslager 2008-12-10 19:03:21 EST
To be more precise and accurate - I've got only 1024x768@60 on external CRT.
My notebook can do on its own LCD 1024x768.
My IBM P260 CRT can do 1280x1024@85 in MS Windows but in Linux 1024x768@60 only.
Comment 4 Xavier Bachelot 2008-12-11 16:41:14 EST
From the log, the driver is activating both the LCD and the CRT. openchrome is currently not dual head capable, so it uses the same resolution on the 2 outputs, the lower common denominator wins. You can disable the LCD panel by adding the following line to the Device section of your xorg conf :
Option "ActiveDevice" "CRT"

Lemme know if it helps.

Regards,
Xavier
Comment 5 Milan Kerslager 2008-12-12 01:44:03 EST
Yes, ActiveDevice works with my CRT. Thank you.

But without ActiveDevice the situation differ:
1) with CRT (IBM P260)
   - CRT is active, all is visible and Ok
   - LCD is Off
2) with Dell data projector
   - nothing is shown on both output devices

Should I try some experimental patches or builds or do some testing?
Comment 6 Milan Kerslager 2008-12-22 02:43:57 EST
Logged as http://www.openchrome.org/trac/ticket/271
Comment 7 Jóhann B. Guðmundsson 2009-01-06 08:16:49 EST
Could you update to the latest version, retest and report back to see if this still remains an issue for you.

You can get the latest update from here.

http://koji.fedoraproject.org/koji/packageinfo?packageID=5229

Thank you.
Comment 8 Xavier Bachelot 2009-01-06 10:58:18 EST
There's no way to "fix" this bug until openchrome grows dual head support. Currently, there's no way to have a different resolution and refresh rate on different output, the lower one will apply to both output. See comment #4.
Hopefully, dual head support shouldn't be too far away, I'll make sure to update both the rawhide package and the F10 testing package as soon as it enters upstream.
Comment 9 Bartosz 2009-06-02 05:31:22 EDT
In the Ubuntu this error also exist.
But in Ubuntu case, also mouse cursor is not visible on the secondary display.

Do you also have problems with cursor?

I created patch which should solve problems with cursor.

The patch is available at:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-openchrome/+bug/369333
Comment 10 Bartosz 2009-06-02 05:47:02 EDT
Created attachment 346220 [details]
patch which should solve problems with cursor.
Comment 11 Bug Zapper 2009-11-18 05:26:11 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 02:15:19 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Milan Kerslager 2014-06-09 12:29:44 EDT
Is closed befor, only removing my needinfo.

Note You need to log in before you can comment on or make changes to this bug.